Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005722TestLinkTest Specificationpublic2013-05-17 23:362013-05-22 20:56
Reporteradejeffchen 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005722: Add a button to 'Add Another Test Case' when viewing a test case under Test Specification
DescriptionCurrently, we need to select a test suite folder and click 'Create' button under Test Case Operations to create a test case under that test suite. After users create a test case and add steps, they have to select the test suite folder again if they want to create another test case.

Suggest to add a button when viewing a test case in Test Specification so that user can create a new test case under the same test suite faster.
Steps To Reproduce1. click 'Test Specification'
2. click a test suite folder from the tree on the left
3. click 'create' under Test Case Operations
4. enter test case title, click Create
5. <user add some steps>

at this point, need to perform step 2 and 3 again if want to create a new test case under the same test suite. If the tree is very long, user has to spend time to look for the test suite folder. (time consuming)
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon TL_addAnotherTestCase.png [^] (15,169 bytes) 2013-05-17 23:36


png file icon mm.png [^] (13,772 bytes) 2013-05-18 08:49

- Relationships
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018976)
fman (administrator)
2013-05-18 08:44
edited on: 2013-05-18 08:49

http://gitorious.org/testlink-ga/testlink-code/commit/5ab6fb624020cea51e55219e4d7f3b392a6f59fd [^]

please test and provide feedback.

attached image with new button (new sibling) and minor button layout change

(0018987)
adejeffchen (reporter)
2013-05-20 23:24

It works, thank you!

- Issue History
Date Modified Username Field Change
2013-05-17 23:36 adejeffchen New Issue
2013-05-17 23:36 adejeffchen File Added: TL_addAnotherTestCase.png
2013-05-18 08:40 fman Assigned To => fman
2013-05-18 08:40 fman Status new => assigned
2013-05-18 08:44 fman Note Added: 0018976
2013-05-18 08:45 fman Tag Attached: TO BE FIXED on 2.0
2013-05-18 08:45 fman Priority high => normal
2013-05-18 08:45 fman Relationship added child of 0005551
2013-05-18 08:45 fman Status assigned => feedback
2013-05-18 08:49 fman Note Edited: 0018976 View Revisions
2013-05-18 08:49 fman File Added: mm.png
2013-05-20 23:24 adejeffchen Note Added: 0018987
2013-05-20 23:24 adejeffchen Status feedback => assigned
2013-05-21 15:37 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-05-21 15:37 fman Status assigned => resolved
2013-05-21 15:37 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-05-21 15:37 fman Resolution open => fixed
2013-05-22 20:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker